Certificate.CertificateRep (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class Certificate.CertificateRep

    java.lang.Object
      |
      +--java.security.cert.Certificate.CertificateRep

All Implemented Interfaces:
  Serializable

Enclosing class:
  Certificate

protected static class Certificate.CertificateRep
extends Object
implements Serializable

Alternate Certificate class for serialization.

See Also:
  Serialized Form

Constructor Summary
`protected` | `Certificate.CertificateRep(String type, byte[] data)` Construct the alternate Certificate class with the Certificate type and Certificate encoding bytes.

Method Summary
`protected Object` | `readResolve()` Resolve the Certificate Object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Certificate.CertificateRep

    protected Certificate.CertificateRep(String type,
                                         byte[] data)

  Construct the alternate Certificate class with the Certificate type and Certificate encoding bytes.

Parameters:
  `type` - the standard name of the Certificate type.

  `data` - the Certificate data.

Method Detail

### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

  Resolve the Certificate Object.

  Returns:
    the resolved Certificate Object
  Throws:
    `ObjectStreamException` - if the Certificate could not be resolved

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.